Package org.apache.catalina.ant

## Class ListTask

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.catalina.ant.BaseRedirectorHelperTask
      - - org.apache.catalina.ant.AbstractCatalinaTask
        - - org.apache.catalina.ant.ListTask

All Implemented Interfaces:
  `Cloneable`

    public class ListTask
    extends AbstractCatalinaTask

Ant task that implements the `/list` command, supported by the Tomcat manager application.

Since:
  4.1
Author:
  Craig R. McClanahan

### Field Summary

### Fields inherited from class org.apache.catalina.ant.AbstractCatalinaTask

`charset, ignoreResponseConstraint, password, url, username`

### Fields inherited from class org.apache.catalina.ant.BaseRedirectorHelperTask

`alwaysLog, failOnError, redirectErrStream, redirector, redirectorConfigured, redirectorElement, redirectOutput, redirectOutStream`

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
`ListTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `execute()` Execute the requested operation.

### Methods inherited from class org.apache.catalina.ant.AbstractCatalinaTask

`execute, execute, getCharset, getPassword, getUrl, getUsername, isIgnoreResponseConstraint, setCharset, setIgnoreResponseConstraint, setPassword, setUrl, setUsername`

### Methods inherited from class org.apache.catalina.ant.BaseRedirectorHelperTask

`addConfiguredRedirector, closeRedirector, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, handleOutput, isFailOnError, openRedirector, setAlwaysLog, setAppend, setCreateEmptyFiles, setError, setErrorProperty, setFailonerror, setLogError, setOutput, setOutputproperty`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleInput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ListTask

    public ListTask()

### Method Detail

#### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

Execute the requested operation.

Overrides:
  `execute` in class `AbstractCatalinaTask`
Throws:
  `org.apache.tools.ant.BuildException` - if an error occurs